Bug 922198 - Can't accept or cancel Settings
Summary: Can't accept or cancel Settings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcp-gui
Version: 18
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-15 17:27 UTC by Russell Doty
Modified: 2013-11-11 02:37 UTC (History)
2 users (show)

Fixed In Version: pcp-gui-1.5.9-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-02 22:06:06 UTC


Attachments (Terms of Use)

Description Russell Doty 2013-03-15 17:27:41 UTC
Description of problem:
Settings menu does not have buttons to accept or close


Version-Release number of selected component (if applicable):
pmchart 1.5.6

How reproducible:
Every time.

Steps to Reproduce:
1. start pmchart
2. Select "Edit" ==> "Preferences"
3. Settings menu popup appears
4. No way to accept or cancel changes or close
  
Actual results:
No way to accept or cancel changes or close popup

Expected results:
Buttons to accept or cancel changes and to close popup

Additional info:

Comment 1 Nathan Scott 2013-03-15 22:28:50 UTC
Hi there,

Changes to preferences are made immediately, so an "OK" or "Accept" button would be a bit misleading / superflous.  The dialog can be dismissed via the regular "close window" box (via the window manager), but clearly this is not sufficiently user-friendly.  IIRC, this model was done to be compatible with Mac OS X usual preference handling, at the time.

I guess a "Close" button would help to address the usability issue, and give an indication too that changes are applied immediately.  I'll make a note to add that in for the next release.

Thanks for reporting the problem!

--
Nathan

Comment 2 Nathan Scott 2013-05-16 03:05:24 UTC
This has been fixed upstream (commit 70e4283bd24a7c700480077b6b80386c0f48c5df for my reference).

Comment 4 Nathan Scott 2013-07-26 00:23:14 UTC
Fixed upstream.

Comment 5 Fedora Update System 2013-07-28 08:36:45 UTC
pcp-gui-1.5.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.9-1.fc19

Comment 6 Fedora Update System 2013-07-28 08:50:32 UTC
pcp-gui-1.5.9-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.9-1.fc18

Comment 7 Fedora Update System 2013-07-28 08:51:45 UTC
pcp-gui-1.5.9-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.9-1.fc17

Comment 8 Fedora Update System 2013-07-28 08:52:45 UTC
pcp-gui-1.5.9-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.9-1.el6

Comment 9 Fedora Update System 2013-07-28 21:10:17 UTC
Package pcp-gui-1.5.9-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing pcp-gui-1.5.9-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11018/pcp-gui-1.5.9-1.el6
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2013-08-02 22:06:06 UTC
pcp-gui-1.5.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-08-16 17:09:56 UTC
pcp-gui-1.5.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-09-15 10:25:01 UTC
pcp-gui-1.5.10-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.10-1.fc18

Comment 13 Fedora Update System 2013-11-01 05:20:28 UTC
pcp-gui-1.5.11-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.11-1.fc18

Comment 14 Fedora Update System 2013-11-11 02:37:34 UTC
pcp-gui-1.5.11-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.